import { RedirectTargetEnum } from '@oinone/kunlun-engine';
import { FormStringInputFieldWidget } from '../input';
export declare class FormStringHyperlinksFieldWidget extends FormStringInputFieldWidget {
    initialize(props: any): this;
    get text(): any;
    get target(): RedirectTargetEnum.BLANK | RedirectTargetEnum.SELF;
}
/**
 * @deprecated please using FormStringHyperlinksFieldWidget
 */
export declare const FormHyperlinksFieldWidget: typeof FormStringHyperlinksFieldWidget;
